Bug 959061 (CVE-2013-1987) - CVE-2013-1987 libXrender: Multiple integer overflows leading to heap-based bufer overflows
Summary: CVE-2013-1987 libXrender: Multiple integer overflows leading to heap-based bu...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2013-1987
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 966814 1078033
Blocks: 959130 1101912
TreeView+ depends on / blocked
 
Reported: 2013-05-03 05:47 UTC by Huzaifa S. Sidhpurwala
Modified: 2021-02-17 07:44 UTC (History)
5 users (show)

Fixed In Version: libXrender 0.9.8
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-10-16 06:09:12 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2014:1436 0 normal SHIPPED_LIVE Moderate: X11 client libraries security, bug fix, and enhancement update 2014-10-14 01:06:02 UTC

Description Huzaifa S. Sidhpurwala 2013-05-03 05:47:13 UTC
An integer overflow leading to heap-based buffer overflow was found in libXrender, an X.Org X11 libXrender runtime library. When a X client is connected to a malicious X server, (modified to return invalid values), it can cause arbirary code execution with the privileges of the user running the X client.

      Affected functions:  XRenderQueryFilters(), XRenderQueryFormats(),
          XRenderQueryPictIndexValues()

Comment 8 Jan Lieskovsky 2013-05-23 15:35:24 UTC
Public via:
  http://www.openwall.com/lists/oss-security/2013/05/23/3

Comment 9 Huzaifa S. Sidhpurwala 2013-05-24 03:46:27 UTC
Created libXrender tracking bugs for this issue

Affects: fedora-all [bug 966814]

Comment 10 Fedora Update System 2013-05-28 02:16:16 UTC
libXrender-0.9.7-5.20130524git786f78fd8.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2013-06-03 03:01:41 UTC
libXrender-0.9.7-5.20130524git786f78fd8.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Huzaifa S. Sidhpurwala 2013-06-05 03:33:00 UTC
This issue affects the version of libXrender as shipped with Red Hat Enterprise Linux 5 and 6.

Comment 13 Huzaifa S. Sidhpurwala 2013-06-05 03:46:41 UTC
Statement:

This issue affects the libXrender package in Red Hat Enterprise Linux 5. Red Hat Product Security has rated this issue as having Moderate security impact. This issue is not planned to be fixed in Red Hat Enterprise Linux 5 as it is now in Production 3 Phase of the support and maintenance life cycle: https://access.redhat.com/support/policy/updates/errata/

Comment 14 Jan Lieskovsky 2013-06-17 12:59:53 UTC
External References:

http://www.x.org/wiki/Development/Security/Advisory-2013-05-23

Comment 16 errata-xmlrpc 2014-10-14 05:05:12 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2014:1436 https://rhn.redhat.com/errata/RHSA-2014-1436.html


Note You need to log in before you can comment on or make changes to this bug.